package apds9960

const (

	// I2C address
	ADPS9960_ADDRESS = 0x39

	// control/status registers
	APDS9960_RAM_REG        = 0x00
	APDS9960_ENABLE_REG     = 0x80
	APDS9960_ATIME_REG      = 0x81
	APDS9960_WTIME_REG      = 0x83
	APDS9960_AILTIL_REG     = 0x84
	APDS9960_AILTH_REG      = 0x85
	APDS9960_AIHTL_REG      = 0x86
	APDS9960_AIHTH_REG      = 0x87
	APDS9960_PILT_REG       = 0x89
	APDS9960_PIHT_REG       = 0x8B
	APDS9960_PERS_REG       = 0x8C
	APDS9960_CONFIG1_REG    = 0x8D
	APDS9960_PPULSE_REG     = 0x8E
	APDS9960_CONTROL_REG    = 0x8F
	APDS9960_CONFIG2_REG    = 0x90
	APDS9960_ID_REG         = 0x92
	APDS9960_STATUS_REG     = 0x93
	APDS9960_CDATAL_REG     = 0x94
	APDS9960_CDATAH_REG     = 0x95
	APDS9960_RDATAL_REG     = 0x96
	APDS9960_RDATAH_REG     = 0x97
	APDS9960_GDATAL_REG     = 0x98
	APDS9960_GDATAH_REG     = 0x99
	APDS9960_BDATAL_REG     = 0x9A
	APDS9960_BDATAH_REG     = 0x9B
	APDS9960_PDATA_REG      = 0x9C
	APDS9960_POFFSET_UR_REG = 0x9D
	APDS9960_POFFSET_DL_REG = 0x9E
	APDS9960_CONFIG3_REG    = 0x9F
	APDS9960_GPENTH_REG     = 0xA0
	APDS9960_GEXTH_REG      = 0xA1
	APDS9960_GCONF1_REG     = 0xA2
	APDS9960_GCONF2_REG     = 0xA3
	APDS9960_GOFFSET_U_REG  = 0xA4
	APDS9960_GOFFSET_D_REG  = 0xA5
	APDS9960_GOFFSET_L_REG  = 0xA7
	APDS9960_GOFFSET_R_REG  = 0xA9
	APDS9960_GPULSE_REG     = 0xA6
	APDS9960_GCONF3_REG     = 0xAA
	APDS9960_GCONF4_REG     = 0xAB
	APDS9960_GFLVL_REG      = 0xAE
	APDS9960_GSTATUS_REG    = 0xAF
	APDS9960_IFORCE_REG     = 0xE4
	APDS9960_PICLEAR_REG    = 0xE5
	APDS9960_CICLEAR_REG    = 0xE6
	APDS9960_AICLEAR_REG    = 0xE7
	APDS9960_GFIFO_U_REG    = 0xFC
	APDS9960_GFIFO_D_REG    = 0xFD
	APDS9960_GFIFO_L_REG    = 0xFE
	APDS9960_GFIFO_R_REG    = 0xFF
)

const (

	// sensor modes
	MODE_NONE = iota
	MODE_PROXIMITY
	MODE_COLOR
	MODE_GESTURE
)

const (

	// detected gestures
	GESTURE_NONE = iota
	GESTURE_UP
	GESTURE_DOWN
	GESTURE_LEFT
	GESTURE_RIGHT
)
